extends KinematicBody2D

const UP = Vector2(0, -1)

export var gravity = 30
export var acceleration = 50
export var max_speed = 200
export var jump_height = -500

var motion = Vector2()
var move_left = true
var do_jump = false

func _physics_process(delta):
	
	if is_on_wall():
		move_left = !move_left
	
	motion.y += gravity
	if move_left:
		motion.x = min(motion.x + acceleration, max_speed)
		$Sprite.flip_h = false
	else:
		motion.x = max(motion.x - acceleration, -max_speed)
		$Sprite.flip_h = true
	
	if is_on_floor() && Input.is_action_just_pressed("ui_up"):
		motion.y = jump_height
	
	if do_jump:
		do_jump = false
		if is_on_floor():
			motion.y = jump_height
	
	motion = move_and_slide(motion, UP)
	
	
	if Input.is_action_just_pressed("ui_accept"):
		queue_free()

func jump():
	do_jump = true